docs

# SendDocumentData

data class SendDocumentData : DataRequest < ContentMessage < DocumentContent >> , SendMessageRequest < ContentMessage < DocumentContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < DocumentContent >> , TextableSendMessageRequest < ContentMessage < DocumentContent >> , ThumbedSendMessageRequest < ContentMessage < DocumentContent >>
Content copied to clipboard

Use this method to send general files. On success, the sent ContentMessage with DocumentContent is returned. Bots can currently send files of any type of up to 50 MB in size, this limit may be changed in the future.

## See also

dev.inmo.tgbotapi.types.message.abstracts.ContentMessage
dev.inmo.tgbotapi.types.message.content.DocumentContent

## Parameters

disableContentTypeDetection

Disables automatic server-side content type detection for document

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableContentTypeDetection
Link copied to clipboard
val disableContentTypeDetection : Boolean ? = null
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
document
Link copied to clipboard
val document : String ? = null
Content copied to clipboard
entities
Link copied to clipboard
open val entities : List < TextSource >?
Content copied to clipboard
parseMode
Link copied to clipboard
open override val parseMode : ParseMode ? = null
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < DocumentContent >>
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ? = null
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList ?
Content copied to clipboard

Full list of TextSources

thumb
Link copied to clipboard
open override val thumb : String ? = null
Content copied to clipboard